#include "../Headers/io.h"

void IOInit()
{
    //PORTA disable all pullup resistors

    PORTA = 0x00;
    DDRA = 0x00;
    //1. LED a PA0-n van, PORTA0 legyen kimenet (0x01)
    sbi(DDRA, 0);
    //2. LED a PA1-n van, PORTA1 legyen kimenet (0x01)
    sbi(DDRA, 1);
    //3. LED a PA2-n van, PORTA2 legyen kimenet (0x01)
    sbi(DDRA, 2);

    //PORTB disable all pullup resistors, every pin is set to input

    PORTB = 0x00;
    DDRB = 0x00;

    //PORTC disable all pullup resistors, every pin is set to input

    PORTC = 0x00;
    DDRC = 0x00;

    //PORTD disable all pullup resistors, every pin is set to input

    PORTD = 0x00;
    DDRD = 0x00;
	
	//INTR0 felfut lre, vagyis ISC00=ISC01=1	66.oldal
	sbi(MCUCR, ISC00);
	sbi(MCUCR, ISC01);
	//INTR1 felfut lre, vagyis ISC10=ISC11=1	67.oldal
	sbi(MCUCR, ISC10);
	sbi(MCUCR, ISC11);
	//External interrupt engedlyezs 68.oldal
	sbi(GICR, INTF0);
	sbi(GICR, INTF1);
	//Global interrupt engedlyezs	9.oldal
	sbi(SREG, 7);
}