#include "../Headers/io.h"

void IOInit()
{
    //PORTA disable all pullup resistors
    PORTA = 0x00;
    DDRA = 0x00;
    //LED1 is connected to PA0, PORTA0 is output (0x01)
    sbi(DDRA, 0);
	//LED2 is connected to PA1, PORTA1 is output (0x02)
    sbi(DDRA, 1);
    //LED3 is connected to PA2, PORTA2 is output (0x04)
	sbi(DDRA, 2);

    //PORTB disable all pullup resistors, every pin is set to input
    PORTB = 0x00;
    DDRB = 0x00;

    //PORTC disable all pullup resistors, every pin is set to input
    PORTC = 0x00;
    DDRC = 0x00;

    //PORTD disable all pullup resistors, every pin is set to input
    PORTD = 0x00;
    DDRD = 0x00;
}